<!DOCTYPE html>
<html lang="en">
<head>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF" crossorigin="anonymous">
    <meta charset="UTF-8">
    <title>Card - Notes</title>
    <style>
        cardlist {
          background-color: #fae3ff;
          width: 200px;
          border: 10px solid #dfeeff;
          padding: 30px;
          margin: 20px;
          text-align: center;
          float: right;
          padding: 50px;
          border-radius: 20px;
        }
        .boxscroll{
            margin-left: 30px;
            float: left;
            height: 250px;
            width: 300px;
            background: #F5F5F5;
            overflow-y: scroll;
            margin-bottom: 25px;
        }
        .message {
            border: 1px solid black;
            width: 400px;
            height: 72px;
            line-height: 20px;
            padding: 20px;
        }
        .message span {
          vertical-align: center;
          text-align: justify;
        }
        h1 {
            width:500px;
                margin: 0 auto;
                background: rgb(207, 225, 233);
                text-align: center;
        }
        .box {
                 background-color: #dfdbdd;
            }
        .design-table {
                border-collapse: collapse;
                margin: 25px 0;
                margin-left: 600px;
                font-size: 20px;
                min-width: 400px;
                
            }   
            .design-table td {
                padding: 12px 15px;
            }
            .design-table tbody tr {
                border-bottom: 1px solid#000000;
                border-left: 1px solid #000000;
                border-right: 1px solid #000000;
                border-top: 1px solid #000000;
            }
            .design-table tbody tr:nth-of-type(even) {
                background-color: #f3f3f3;
            }
            .design-table tbody tr:last-of-type {
                border-bottom: 2px solid #c7dfda;
            }
    </style>
</head>
<body class='box'>
    <br>
    <h1>Note List</h1>
    <div class="design-table" >
        <a href="add-note"  type="button" class="active btn" margin="600px">Add Note</a>
        <a href="/lab-4/" type="button" class="active btn" margin="600px">Table</a>
        <a href="note-list" type="button" class="active btn" margin="600px">Card</a>
        </a>
    </div>
    <br><br>    
<br>
{% for notes in note %}
<cardlist class="boxscroll">
    <b>To:</b><br> {{ notes.To }} <br>
    <b>From:</b><br> {{ notes.From }} <br>
    <b>Title:</b><br> {{ notes.Title }} <br>
    <b>Message:</b> {{ notes.Message }}<br>
</cardlist>
{% endfor %}
</body>
</html>

